Zum Hauptinhalt springen
PATCH
/
conversations
/
custom-channels
/
2026-03
/
{channelId}
/
messages
/
{messageId}
Eine Nachricht aktualisieren
curl --request PATCH \
  --url https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/messages/{messageId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "errorMessage": "<string>"
}
'
{
  "archived": true,
  "attachments": [
    {
      "fileId": "<string>",
      "type": "FILE",
      "name": "<string>",
      "url": "<string>"
    }
  ],
  "channelAccountId": "<string>",
  "channelId": "<string>",
  "client": {
    "integrationAppId": 123
  },
  "conversationsThreadId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "id": "<string>",
  "recipients": [
    {
      "deliveryIdentifier": {
        "value": "<string>"
      },
      "actorId": "<string>",
      "name": "<string>",
      "recipientField": "<string>"
    }
  ],
  "senders": [
    {
      "actorId": "<string>",
      "deliveryIdentifier": {
        "value": "<string>"
      },
      "name": "<string>",
      "senderField": "<string>"
    }
  ],
  "text": "<string>",
  "type": "MESSAGE",
  "inReplyToId": "<string>",
  "richText": "<string>",
  "status": {
    "failureDetails": {
      "errorMessageTokens": {},
      "errorMessage": "<string>"
    }
  },
  "subject": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

channelId
integer<int32>
erforderlich
messageId
string
erforderlich

Body

application/json
statusType
enum<string>
erforderlich

Gültige Statuswerte: GESENDET, FEHLGESCHLAGEN und GELESEN

Verfügbare Optionen:
FAILED,
READ,
SENT
errorMessage
string

Antwort

successful operation

archived
boolean
erforderlich
attachments
(FILE · object | LOCATION · object | CONTACT · object | UNSUPPORTED_CONTENT · object | MESSAGE_HEADER · object | QUICK_REPLIES · object | WHATSAPP_TEMPLATE_METADATA · object | SOCIAL_MEDIA_METADATA · object)[]
erforderlich
channelAccountId
string
erforderlich
channelId
string
erforderlich
client
object
erforderlich
conversationsThreadId
string
erforderlich
createdAt
string<date-time>
erforderlich
createdBy
string
erforderlich
direction
enum<string>
erforderlich
Verfügbare Optionen:
INCOMING,
OUTGOING
id
string
erforderlich
recipients
object[]
erforderlich
senders
object[]
erforderlich
text
string
erforderlich
truncationStatus
enum<string>
erforderlich
Verfügbare Optionen:
NOT_TRUNCATED,
TRUNCATED,
TRUNCATED_TO_MOST_RECENT_REPLY
type
enum<string>
Standard:MESSAGE
erforderlich
Verfügbare Optionen:
MESSAGE
inReplyToId
string
richText
string
status
object
subject
string
updatedAt
string<date-time>
Last modified on April 13, 2026